Subject: Re: Running Win10 after end of life

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Thu, 15 May 2025 20:45:03 -0700

I’ve come across some videos on YT talking about something I was unaware of:

Windows 10 / 11 IOT LTSC

Sometimes called: Windows 10 / 11 Lite

These are official products from MS for allowing large corporate clients to install Windows on embedded systems. 

They don't have all of the bloatware included and are stripped down to the nubbins to minimize needless memory consumption.

I also happen to know someone who’s going to be using this on his new line of computer-based control equipment; I’d much prefer that he use Linux, but he needs to be able to run 3rd-party software that’s designed to run on Windows and the vendors have said they’re not about to rewrite it to run on another platform. 

Curiously the Win 10 version does not expire until 2029, while Win 11 expires in 2032 at the earliest.

UPDATES ARE NOT NECESSARY, and there are no hardware restrictions blocking either one from being installed on any hardware.

Enterprise licensees are permitted to update it periodically (every 6 months) if they want.

No network is required for installation or updates.

Here are  a couple of videos to check out:

https://youtu.be/HrM3xzzgawQ?si=Vc1ErzbP82UeLnW2 <https://youtu.be/HrM3xzzgawQ?si=Vc1ErzbP82UeLnW2>

https://youtu.be/4HLs2WRcabY?si=RSlW9M3E5UTMTdWC <https://youtu.be/4HLs2WRcabY?si=RSlW9M3E5UTMTdWC>

-David Schwartz

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss